Date: Thu, 25 Sep 1997 11:13:44 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Disable frame buffer devices
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


This patch allows you to disable the probing for specific frame buffer devices
using e.g.

    video=amifb:off

Please test it on a multiheaded machine. I have amifb only and without abscon
the kernel crashes if there are no frame buffer devices found.

--- snapshot-200997/drivers/char/fbmem.c.orig	Sat Sep 20 14:10:09 1997
+++ snapshot-200997/drivers/char/fbmem.c	Wed Sep 24 19:56:43 1997
@@ -541,13 +541,17 @@
 	    j = strlen(fb_drivers[i].name);
 	    if (!strncmp(options, fb_drivers[i].name, j) &&
 		options[j] == ':') {
-		    if (fb_drivers[i].init) {
-			    pref_init_funcs[num_pref_init_funcs++] =
-				    fb_drivers[i].init;
+		    if (!strcmp(options+j+1, "off"))
 			    fb_drivers[i].init = NULL;
+		    else {
+			    if (fb_drivers[i].init) {
+				    pref_init_funcs[num_pref_init_funcs++] =
+					    fb_drivers[i].init;
+				    fb_drivers[i].init = NULL;
+			    }
+			    if (fb_drivers[i].setup)
+				    fb_drivers[i].setup(options+j+1, ints);
 		    }
-		    if (fb_drivers[i].setup)
-			    fb_drivers[i].setup(options+j+1, ints);
 		    return;
 	    }
     }

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

